Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 0.6SynchronousAuth Required
UpdateVolumeSnapshot
UpdateVolumeSnapshot
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe snapshot UUID.
Body Fields
updatevolumesnapshotObjectRequiredupdatevolumesnapshot request body object.
nameStringOptional. The new name of the snapshot.
descriptionStringOptional. The detailed description of the snapshot.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/volume-snapshots/{uuid}/actions
/zstack/v1/volume-snapshots/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/volume-snapshots/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevolumesnapshot":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "a50e9be4b0eb492aa1cbb767e38ee45e", "name": "My Snapshot 2", "primaryStorageUuid": "/Cloud_ps/rootVolumes/acct-e77f16d460ea46e18262547b56972273/vol-13c66bb52d0949398e520183b917f813/snapshots/2fa6979af5c6479fa98f37d316f44b5f.qcow2", "volumeType": "Root", "format": "qcow2", "latest": false, "size": 1310720.0, "state": "Enabled", "status": "Ready" } }Change History
This API has no change history records yet.
